using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.DHS;

[ComImport]
[SuppressUnmanagedCodeSecurity]
[Guid("B51801E0-74AF-4916-AB0F-E06B09567C3C")]
[TypeLibType(4096)]
[InterfaceType(2)]
public interface _IHotkeySystemEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void HotkeyEvent([In][MarshalAs(UnmanagedType.BStr)] string szEvent, [In][Out] ref bool pbEat);
}
